Ticket #417 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Renew doesn't work properly on Karmic

Reported by: ismith Owned by:
Priority: low Milestone:
Component: -- Keywords: karmic
Cc: Fixed in version:
Upstream bug:

Description

Error: "Kerberos 4 is no longer supported". Presumably this is a result of calling kinit with -45, and that should be changed to either no flag or -5?

Change History

comment:1 Changed 12 years ago by broder

Well, we still need to use -45 on systems that still have krb4, because it's needed there for zephyr, so we need to be more clever.

Whoever fixes this should also fix #393 at the same time, so you don't run into weird problems depending on whether you're using renew as an Athena user or as a local user.

comment:2 Changed 12 years ago by broder

  • Keywords karmic added

comment:3 Changed 12 years ago by broder

  • Status changed from new to proposed

I've uploaded a fix for this to -proposed.

comment:4 Changed 12 years ago by broder

  • Status changed from proposed to closed
  • Resolution set to fixed

Whoops - forgot to close this, but the fix was moved into production earlier today

Note: See TracTickets for help on using tickets.